LiveDataBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.LiveDataBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class LiveDataBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.LiveDataBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class LiveDataBossEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

External API into the live data system.

See Also:
  Serialized Form

Field Summary
`protected SessionManager` | `_manager`

Constructor Summary
`LiveDataBossEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`ConfigSchema` | `getConfigSchema(int sessionId, AppdefEntityID id, java.lang.String command)` Get the ConfigSchema for this resource
`LiveDataResult` | `getLiveData(int sessionId, LiveDataCommand command)` Get live data for a given resource
`LiveDataResult[]` | `getLiveData(int sessionId, LiveDataCommand[] commands)` Get live data for the given commands
`java.lang.String[]` | `getLiveDataCommands(int sessionId, AppdefEntityID id)` Get the commands for a given resource.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _manager

    protected SessionManager _manager

Constructor Detail

### LiveDataBossEJBImpl

    public LiveDataBossEJBImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            java.rmi.RemoteException

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             java.rmi.RemoteException

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          java.rmi.RemoteException

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### getLiveData

    public LiveDataResult getLiveData(int sessionId,
                                      LiveDataCommand command)
                               throws PermissionException,
                                      AgentNotFoundException,
                                      AppdefEntityNotFoundException,
                                      LiveDataException,
                                      SessionTimeoutException,
                                      SessionNotFoundException

  Get live data for a given resource

  Throws:
    `PermissionException`
    `AgentNotFoundException`
    `AppdefEntityNotFoundException`
    `LiveDataException`
    `SessionTimeoutException`
    `SessionNotFoundException`

### getLiveData

    public LiveDataResult[] getLiveData(int sessionId,
                                        LiveDataCommand[] commands)
                                 throws PermissionException,
                                        AgentNotFoundException,
                                        AppdefEntityNotFoundException,
                                        LiveDataException,
                                        SessionTimeoutException,
                                        SessionNotFoundException

  Get live data for the given commands

  Throws:
    `PermissionException`
    `AgentNotFoundException`
    `AppdefEntityNotFoundException`
    `LiveDataException`
    `SessionTimeoutException`
    `SessionNotFoundException`

### getLiveDataCommands

    public java.lang.String[] getLiveDataCommands(int sessionId,
                                                  AppdefEntityID id)
                                           throws PluginException,
                                                  PermissionException,
                                                  SessionTimeoutException,
                                                  SessionNotFoundException

  Get the commands for a given resource.

  Throws:
    `PluginException`
    `PermissionException`
    `SessionTimeoutException`
    `SessionNotFoundException`

### getConfigSchema

    public ConfigSchema getConfigSchema(int sessionId,
                                        AppdefEntityID id,
                                        java.lang.String command)
                                 throws PluginException,
                                        PermissionException,
                                        SessionTimeoutException,
                                        SessionNotFoundException

  Get the ConfigSchema for this resource

  Throws:
    `PluginException`
    `PermissionException`
    `SessionTimeoutException`
    `SessionNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.